RubyGems Navigation menu

rubocop 0.50.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.63.2 - April 16, 2024 (623 KB)
  2. 1.63.1 - April 10, 2024 (623 KB)
  3. 1.63.0 - April 08, 2024 (623 KB)
  4. 1.62.1 - March 11, 2024 (619 KB)
  5. 1.62.0 - March 06, 2024 (618 KB)
  6. 0.50.0 - September 14, 2017 (328 KB)
Show all versions (268 total)

Runtime Dependencies (6):

parallel ~> 1.10
parser < 3.0, >= 2.3.3.1
powerpack ~> 0.1
rainbow < 3.0, >= 2.2.2
unicode-display_width >= 1.0.1, ~> 1.0

Development Dependencies (1):

bundler ~> 1.3

Owners:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

9f7610b37b6746609c932ec8ac5b1a9b4b56f7526018c941393e79b2d93fedc2

Total downloads 411,207,474

For this version 3,742,904

License:

MIT

Required Ruby Version: >= 2.0.0

New versions require MFA: true

Links: